This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 538634 - Can't specify non-default program for phosphor.
Can't specify non-default program for phosphor.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-18 19:03 EST by Scott Smedley
Modified: 2015-01-14 18:24 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 11:28:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Scott Smedley 2009-11-18 19:03:52 EST
I am not able to specify the program that the "phosphor" hack should use
when displaying output.


Version-Release number of selected component (if applicable):

lapss>> rpm -q -a | egrep '(gnome-|x)screensaver'
xscreensaver-gl-extras-5.10-1.fc11.i586
xscreensaver-gl-extras-gss-5.10-1.fc11.i586
xscreensaver-base-5.10-1.fc11.i586
xstar-xscreensaver-2.2.0-4.fc11.i586
xscreensaver-extras-5.10-1.fc11.i586
xscreensaver-5.10-1.fc11.i586
xscreensaver-gl-base-5.10-1.fc11.i586
xscreensaver-extras-gss-5.10-1.fc11.i586
gnome-screensaver-2.26.1-3.fc11.i586



How reproducible:

always


Steps to Reproduce:
1. System -> Preferences -> Screensaver
2. select "Phosphor"
3.
  
Actual results:

No option to specify this behaviour:

/usr/libexec/xscreensaver/phosphor -program ~/scripts/randomQuote.zsh

Expected results:

Want to be able to see phoshor screensaver present output from
a non-default program

Additional info:

Fix is probably to edit /usr/share/xscreensaver/config/phosphor.xml

Currently, I am working around the problem this with:

lapss>> cat ~/.xscreensaver
textMode: program
textProgram: /home/ss/scripts/randomQuote.zsh

But this will obviously apply to many screensaver hacks, not just phosphor.

Scott. :)
Comment 1 Bug Zapper 2010-04-28 07:22:51 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-06-28 11:28:52 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.